package com.ssj.bean.sys.schoolmatecircle.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Table(name="scon_schoolmate_circle_ranking")
@Entity
public class SchoolmateCircleRanking extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @Column(name="user_id")
    private String userId;

    @Column(name="type")
    private Integer type;

    @Column(name="time")
    private Integer time;

    @Column(name="rank")
    private Integer rank;

    @Column(name="count")
    private Long count;


    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getTime() {
        return time;
    }

    public void setTime(Integer time) {
        this.time = time;
    }

    public Integer getRank() {
        return rank;
    }

    public void setRank(Integer rank) {
        this.rank = rank;
    }

    public Long getCount() {
        return count;
    }

    public void setCount(Long count) {
        this.count = count;
    }
}
